org.duckdb

## Class DuckDBTimestamp

- java.lang.Object
- - org.duckdb.DuckDBTimestamp

    public class DuckDBTimestamp
    extends java.lang.Object

### Field Summary

Fields
`protected long` `timeMicros`

### Constructor Summary

Constructors
Constructor and Description
`DuckDBTimestamp(java.time.LocalDateTime localDateTime)`
`DuckDBTimestamp(long timeMicros)`
`DuckDBTimestamp(java.time.OffsetDateTime offsetDateTime)`
`DuckDBTimestamp(java.sql.Timestamp sqlTimestamp)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static long` `getMicroseconds(java.sql.Timestamp sqlTimestamp)`
`long` `getMicrosEpoch()`
`java.time.LocalDateTime` `toLocalDateTime()`
`static java.time.LocalDateTime` `toLocalDateTime(long timeMicros)`
`java.time.OffsetDateTime` `toOffsetDateTime()`
`static java.time.OffsetDateTime` `toOffsetDateTime(long timeMicros)`
`java.sql.Timestamp` `toSqlTimestamp()`
`static java.sql.Timestamp` `toSqlTimestamp(long timeMicros)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### timeMicros

    protected long timeMicros

### Constructor Detail

#### DuckDBTimestamp

    public DuckDBTimestamp(long timeMicros)

#### DuckDBTimestamp

    public DuckDBTimestamp(java.time.LocalDateTime localDateTime)

#### DuckDBTimestamp

    public DuckDBTimestamp(java.time.OffsetDateTime offsetDateTime)

#### DuckDBTimestamp

    public DuckDBTimestamp(java.sql.Timestamp sqlTimestamp)

### Method Detail

#### toSqlTimestamp

    public static java.sql.Timestamp toSqlTimestamp(long timeMicros)

#### toLocalDateTime

    public static java.time.LocalDateTime toLocalDateTime(long timeMicros)

#### toOffsetDateTime

    public static java.time.OffsetDateTime toOffsetDateTime(long timeMicros)

#### toSqlTimestamp

    public java.sql.Timestamp toSqlTimestamp()

#### toLocalDateTime

    public java.time.LocalDateTime toLocalDateTime()

#### toOffsetDateTime

    public java.time.OffsetDateTime toOffsetDateTime()

#### getMicroseconds

    public static long getMicroseconds(java.sql.Timestamp sqlTimestamp)

#### getMicrosEpoch

    public long getMicrosEpoch()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`